public class ModifyApiConfigurationRequest
extends com.aliyun.tea.TeaModel
| 限定符和类型 | 字段和说明 |
|---|---|
String |
allowSignatureMethod
If **AuthType** is set to **APP**, this value must be passed to specify the signature algorithm.
|
String |
apiId
The ID of the API.
|
String |
apiName
The name of the API.
|
String |
appCodeAuthType
If **AuthType** is set to **APP**, the valid values are:
* **DEFAULT**: The default value that is used if no other values are passed. |
String |
authType
API安全认证类型,目前可以取值:
- **APP**:只允许已授权的APP调用 - **ANONYMOUS**:允许匿名调用,设置为允许匿名调用需要注意: - 任何能够获取该API服务信息的人,都将能够调用该API。 |
String |
backendName
The name of the backend service.
|
String |
bodyFormat
This parameter takes effect only when the RequestMode parameter is set to MAPPING.
|
String |
bodyModel
The body model.
|
String |
contentTypeCategory
The ContentType configuration of the backend request.
|
String |
contentTypeValue
The value of the ContentType header when the ServiceProtocol parameter is set to HTTP and the ContentTypeCatagory parameter is set to DEFAULT or CUSTOM.
|
String |
description
The description of the API.
|
Boolean |
disableInternet
* Specifies whether to set **DisableInternet** to **true** to limit API calls to within the VPC.
|
String |
errorCodeSamples
The sample error codes returned by the backend service.
|
String |
failResultSample
The sample error response from the backend service.
|
Boolean |
forceNonceCheck
* Specifies whether to set **ForceNonceCheck** to **true** to force the check of X-Ca-Nonce during the request.
|
String |
functionComputeConfig
The Function Compute configuration.
|
String |
httpConfig
The HTTP configuration.
|
String |
mockConfig
The Mock configuration.
|
String |
modelName
The name of the model.
|
String |
ossConfig
The OSS configuration.
|
String |
postBodyDescription
The description of the request body.
|
String |
requestHttpMethod
The HTTP method used to make the request.
|
String |
requestMode
The request mode.
|
String |
requestParameters
The parameters of API requests sent by the consumer to API Gateway.
|
String |
requestPath
The API request path.
|
String |
requestProtocol
The protocol type supported by the API.
|
String |
resultSample
The sample response from the backend service.
|
String |
resultType
The format of the response from the backend service.
|
String |
securityToken |
String |
serviceParameters
The parameters of API requests sent by API Gateway to the backend service.
|
String |
serviceParametersMap
The mappings between parameters of requests sent by the consumer to API Gateway and parameters of requests sent by API Gateway to the backend service.
|
String |
serviceProtocol
The protocols that are used to access backend services.
|
Integer |
serviceTimeout
The timeout period of the backend service, in millisecond.
|
Boolean |
useBackendService
Specifies whether to use the created backend service.
|
String |
visibility
Specifies whether to make the API public.
|
String |
vpcConfig
The VPC configuration.
|
| 构造器和说明 |
|---|
ModifyApiConfigurationRequest() |
@NameInMap(value="AllowSignatureMethod") public String allowSignatureMethod
If **AuthType** is set to **APP**, this value must be passed to specify the signature algorithm. If you do not specify a value, HmacSHA256 is used by default. Valid values:
* HmacSHA256
* HmacSHA1,HmacSHA256
@NameInMap(value="ApiId") public String apiId
The ID of the API.
@NameInMap(value="ApiName") public String apiName
The name of the API.
@NameInMap(value="AppCodeAuthType") public String appCodeAuthType
If **AuthType** is set to **APP**, the valid values are:
* **DEFAULT**: The default value that is used if no other values are passed. This value means that the setting of the group is used.
* **DISABLE**: The authentication is disabled.
* **HEADER: AppCode can be placed in the Header parameter for authentication.**
* **HEADER_QUERY: AppCode can be placed in the Header or Query parameter for authentication.
@NameInMap(value="AuthType") public String authType
API安全认证类型,目前可以取值:
- **APP**:只允许已授权的APP调用
- **ANONYMOUS**:允许匿名调用,设置为允许匿名调用需要注意:
- 任何能够获取该API服务信息的人,都将能够调用该API。网关不会对调用者做身份认证,也无法设置按用户的流量控制,若开放该API请设置好按API的流量控制;
- AppCodeAuthType的值不会生效。
@NameInMap(value="BackendName") public String backendName
The name of the backend service. This parameter takes effect only when UseBackendService is set to TRUE.
@NameInMap(value="BodyFormat") public String bodyFormat
This parameter takes effect only when the RequestMode parameter is set to MAPPING.********
The server data transmission method used for POST and PUT requests. Valid values: FORM and STREAM. FORM indicates that data in key-value pairs is transmitted as forms. STREAM indicates that data is transmitted as byte streams.
@NameInMap(value="BodyModel") public String bodyModel
The body model.
@NameInMap(value="ContentTypeCategory") public String contentTypeCategory
The ContentType configuration of the backend request.
* DEFAULT: the default configuration in API Gateway
* CUSTOM: a custom configuration
@NameInMap(value="ContentTypeValue") public String contentTypeValue
The value of the ContentType header when the ServiceProtocol parameter is set to HTTP and the ContentTypeCatagory parameter is set to DEFAULT or CUSTOM.
@NameInMap(value="Description") public String description
The description of the API.
@NameInMap(value="DisableInternet") public Boolean disableInternet
* Specifies whether to set **DisableInternet** to **true** to limit API calls to within the VPC.
* If you set **DisableInternet** to **false**, the limit if lifted.
@NameInMap(value="ErrorCodeSamples") public String errorCodeSamples
The sample error codes returned by the backend service.
For more information, see [ErrorCodeSample](~~44392~~).
@NameInMap(value="FailResultSample") public String failResultSample
The sample error response from the backend service. This value is used only to generate documents. It does not affect the returned result.
@NameInMap(value="ForceNonceCheck") public Boolean forceNonceCheck
* Specifies whether to set **ForceNonceCheck** to **true** to force the check of X-Ca-Nonce during the request. This is the unique identifier of the request and is generally identified by UUID. After receiving this parameter, API Gateway verifies the validity of this parameter. The same value can be used only once within 15 minutes. This helps prevent replay attacks.
* If you set **ForceNonceCheck** to **false**, the check is not performed. If you do not set this parameter, the original value is used.
@NameInMap(value="FunctionComputeConfig") public String functionComputeConfig
The Function Compute configuration.
@NameInMap(value="HttpConfig") public String httpConfig
The HTTP configuration.
@NameInMap(value="MockConfig") public String mockConfig
The Mock configuration.
@NameInMap(value="ModelName") public String modelName
The name of the model.
@NameInMap(value="OssConfig") public String ossConfig
The OSS configuration.
@NameInMap(value="PostBodyDescription") public String postBodyDescription
The description of the request body.
@NameInMap(value="RequestHttpMethod") public String requestHttpMethod
The HTTP method used to make the request. Valid values: GET, POST, DELETE, PUT, HEADER, TRACE, PATCH, CONNECT, and OPTIONS.
@NameInMap(value="RequestMode") public String requestMode
The request mode. Valid values:
* MAPPING: Parameters are mapped. Unknown parameters are filtered out.
* PASSTHROUGH: Parameters are passed through.
* MAPPING_PASSTHROUGH: Parameters are mapped. Unknown parameters are passed through.
@NameInMap(value="RequestParameters") public String requestParameters
The parameters of API requests sent by the consumer to API Gateway.
For more information, see [RequestParameter](~~43986~~).
@NameInMap(value="RequestPath") public String requestPath
The API request path. If the complete API URL is `http://api.a.com:8080/object/add?key1=value1&key2=value2`, the API request path is ` /object/add `.
@NameInMap(value="RequestProtocol") public String requestProtocol
The protocol type supported by the API. Valid values: HTTP and HTTPS. Separate multiple values with commas (,), such as "HTTP,HTTPS".
@NameInMap(value="ResultSample") public String resultSample
The sample response from the backend service. This value is used only to generate documents. It does not affect the returned result.
@NameInMap(value="ResultType") public String resultType
The format of the response from the backend service. Valid values: JSON, TEXT, BINARY, XML, and HTML. This value is used only to generate documents. It does not affect the returned result.
@NameInMap(value="SecurityToken") public String securityToken
@NameInMap(value="ServiceParameters") public String serviceParameters
The parameters of API requests sent by API Gateway to the backend service.
For more information, see [ServiceParameter](~~43988~~).
@NameInMap(value="ServiceParametersMap") public String serviceParametersMap
The mappings between parameters of requests sent by the consumer to API Gateway and parameters of requests sent by API Gateway to the backend service.
For more information, see [ServiceParameterMap](~~43989~~).
@NameInMap(value="ServiceProtocol") public String serviceProtocol
The protocols that are used to access backend services. Valid values:
* HTTP: for backend services that use HTTP or HTTPS
* VPC: for backend services that use VPC
* FC: for Function Compute
* OSS: for Object Storage Service
* Mock: for backend services that use the Mock mode
* EventBridge: for EventBridge
You must specify the config value for the corresponding backend service.
@NameInMap(value="ServiceTimeout") public Integer serviceTimeout
The timeout period of the backend service, in millisecond.
@NameInMap(value="UseBackendService") public Boolean useBackendService
Specifies whether to use the created backend service. Valid values:
* TRUE: The created backend service is used.
* FALSE: The custom backend service information is used.
@NameInMap(value="Visibility") public String visibility
Specifies whether to make the API public. Valid values:
* **PUBLIC: Make the API public. If you set this parameter to PUBLIC, this API is displayed on the APIs page for all users after the API is published to the production environment.**
* **PRIVATE: Make the API private. Private APIs are not displayed in the Alibaba Cloud Marketplace after the API group to which they belong is made available.
@NameInMap(value="VpcConfig") public String vpcConfig
The VPC configuration.
public static ModifyApiConfigurationRequest build(Map<String,?> map) throws Exception
Exceptionpublic ModifyApiConfigurationRequest setAllowSignatureMethod(String allowSignatureMethod)
public String getAllowSignatureMethod()
public ModifyApiConfigurationRequest setApiId(String apiId)
public String getApiId()
public ModifyApiConfigurationRequest setApiName(String apiName)
public String getApiName()
public ModifyApiConfigurationRequest setAppCodeAuthType(String appCodeAuthType)
public String getAppCodeAuthType()
public ModifyApiConfigurationRequest setAuthType(String authType)
public String getAuthType()
public ModifyApiConfigurationRequest setBackendName(String backendName)
public String getBackendName()
public ModifyApiConfigurationRequest setBodyFormat(String bodyFormat)
public String getBodyFormat()
public ModifyApiConfigurationRequest setBodyModel(String bodyModel)
public String getBodyModel()
public ModifyApiConfigurationRequest setContentTypeCategory(String contentTypeCategory)
public String getContentTypeCategory()
public ModifyApiConfigurationRequest setContentTypeValue(String contentTypeValue)
public String getContentTypeValue()
public ModifyApiConfigurationRequest setDescription(String description)
public String getDescription()
public ModifyApiConfigurationRequest setDisableInternet(Boolean disableInternet)
public Boolean getDisableInternet()
public ModifyApiConfigurationRequest setErrorCodeSamples(String errorCodeSamples)
public String getErrorCodeSamples()
public ModifyApiConfigurationRequest setFailResultSample(String failResultSample)
public String getFailResultSample()
public ModifyApiConfigurationRequest setForceNonceCheck(Boolean forceNonceCheck)
public Boolean getForceNonceCheck()
public ModifyApiConfigurationRequest setFunctionComputeConfig(String functionComputeConfig)
public String getFunctionComputeConfig()
public ModifyApiConfigurationRequest setHttpConfig(String httpConfig)
public String getHttpConfig()
public ModifyApiConfigurationRequest setMockConfig(String mockConfig)
public String getMockConfig()
public ModifyApiConfigurationRequest setModelName(String modelName)
public String getModelName()
public ModifyApiConfigurationRequest setOssConfig(String ossConfig)
public String getOssConfig()
public ModifyApiConfigurationRequest setPostBodyDescription(String postBodyDescription)
public String getPostBodyDescription()
public ModifyApiConfigurationRequest setRequestHttpMethod(String requestHttpMethod)
public String getRequestHttpMethod()
public ModifyApiConfigurationRequest setRequestMode(String requestMode)
public String getRequestMode()
public ModifyApiConfigurationRequest setRequestParameters(String requestParameters)
public String getRequestParameters()
public ModifyApiConfigurationRequest setRequestPath(String requestPath)
public String getRequestPath()
public ModifyApiConfigurationRequest setRequestProtocol(String requestProtocol)
public String getRequestProtocol()
public ModifyApiConfigurationRequest setResultSample(String resultSample)
public String getResultSample()
public ModifyApiConfigurationRequest setResultType(String resultType)
public String getResultType()
public ModifyApiConfigurationRequest setSecurityToken(String securityToken)
public String getSecurityToken()
public ModifyApiConfigurationRequest setServiceParameters(String serviceParameters)
public String getServiceParameters()
public ModifyApiConfigurationRequest setServiceParametersMap(String serviceParametersMap)
public String getServiceParametersMap()
public ModifyApiConfigurationRequest setServiceProtocol(String serviceProtocol)
public String getServiceProtocol()
public ModifyApiConfigurationRequest setServiceTimeout(Integer serviceTimeout)
public Integer getServiceTimeout()
public ModifyApiConfigurationRequest setUseBackendService(Boolean useBackendService)
public Boolean getUseBackendService()
public ModifyApiConfigurationRequest setVisibility(String visibility)
public String getVisibility()
public ModifyApiConfigurationRequest setVpcConfig(String vpcConfig)
public String getVpcConfig()
Copyright © 2023. All rights reserved.